[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# RedGreenBlue

RedGreenBlue - decomposes a composite color into its component Red, Green and Blue values.

## Declaration

Source position: graphics.pp line 1946

`procedure RedGreenBlue(`
`rgb: TColorRef;`
`out Red: Byte;`
`out Green: Byte;`
`out Blue: Byte`
`);`

## Arguments

`rgb` |  | The color for processing, expressed as RGB.
`Red` |  | The Red component of the color defined in RGB.
`Green` |  | The Green component of the color defined in RGB.
`Blue` |  | The Blue component of the color defined in RGB.

## Description

Does not work with system color values.